Skip to main content
GET
/
twitter
/
user
/
info
Get user profile
curl --request GET \
  --url 'https://api.xshot.fun/twitter/user/info?api_key='
{
  "id": "44196397",
  "name": "Elon Musk",
  "username": "elonmusk",
  "description": "<string>",
  "location": "<string>",
  "created_at": "<string>",
  "followers_count": 237614000,
  "following_count": 1305,
  "tweet_count": 123,
  "like_count": 123,
  "media_count": 123,
  "is_blue_verified": true,
  "profile_image": "<string>",
  "profile_banner": "<string>",
  "pinned_tweet_ids": [
    "<string>"
  ]
}

Authorizations

api_key
string
query
required

Query Parameters

username
string
required

Response

User profile

id
string
Example:

"44196397"

name
string
Example:

"Elon Musk"

username
string
Example:

"elonmusk"

description
string
location
string
created_at
string
followers_count
integer
Example:

237614000

following_count
integer
Example:

1305

tweet_count
integer
like_count
integer
media_count
integer
is_blue_verified
boolean
profile_image
string
profile_banner
string
pinned_tweet_ids
string[]